%def_disable static
%define portver 0.7.1

# It's not handled appropriately yet!
%def_without htmldoc

Name: gphoto2
Version: 2.3.1
Release: alt6.M40.1

Group: Graphics
Summary: Command line utilities to access digital cameras
Summary (ru_RU.UTF-8): Консольные программы для обмена данными с цифровыми фотоаппаратами
Url: http://www.gphoto.org/
License: GPLv2+, LGPLv2+
Packager: Dmitriy Khanzhin <jinn@altlinux.ru>

Requires: lib%name = %version-%release

BuildPreReq: gettext-tools
# Automatically added by buildreq on Sun Mar 11 2007
BuildRequires: aalib-devel gcc-c++ libexif-devel libgpm-devel libjpeg-devel liblockdev-devel
BuildRequires: libpopt-devel libreadline-devel libslang-devel libusb-devel libX11-devel

# IMHO, this build requires are needs when build with cdk
#BuildRequires: libncurses-devel libtinfo-devel
%if_with htmldoc
BuildRequires: gtk-doc
%endif

Source: http://prdownloads.sourceforge.net/gphoto/gphoto-suite-%version.tar.bz2

Patch1: gphoto2-2.3.1-alt-fix-rules.patch
Patch11: gphoto2-2.3.1-svn10023-add-CanonPowerShotA450.patch
Patch12: gphoto2-2.3.1-svn10028-fix-CanonPowerShotA430.patch
Patch13: gphoto2-2.3.1-svn10728-add-FujiFinePixS5700.patch

%description
gPhoto is part of the GNU project - and is an universal, free
application and library framework that lets you download
images from several different digital camera models, including
the newer models with USB connnection. Note that for some older
camera models you must use the old gphoto package.

This package contains command-line gphoto2 client.

%package -n lib%name
Group: System/Libraries
Summary: Library to access to digital cameras
Summary (ru_RU.UTF-8): Библиотека функций для работы с цифровыми фотокамерами
License: LGPLv2+
Requires: udev >= 098

%description -n lib%name
This library contains all the functionality to access to modern digital
cameras via USB or the serial port.

%package -n lib%name-devel
Group: Development/C
Summary: Headers and links to compile against the lib%name library
Summary (ru_RU.UTF-8): Заголовочные и другие файлы для компиляции приложений с библиотекой libgphoto2
License: LGPLv2+
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains all files which one needs to compile programs using
the lib%name library.

%if_enabled static
%package -n lib%name-devel-static
Group: Development/C
Summary: Static versions of lib%name
Summary (ru_RU.UTF-8): Статические версии библиотек libgphoto2
License: LGPLv2+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains libraries which one needs to compile programs statically linked
against lib%name library.
%endif

%package -n lib%name-hotplug
Group: System/Configuration/Hardware
Summary: Usb.usermap file and permissions for hotplug
License: LGPLv2+
Requires: hotplug lib%name = %version-%release

%description -n lib%name-hotplug
This package create usb.usermap include file and permissions for hotplug.

##### TRANSLATED DESCRIPTIONS  #####

%description -l ru_RU.UTF-8
gPhoto - универсальный комплект программ и библиотек, позволяющий
копировать на жёсткий диск снимки сделанные разными моделями цифровых
фотоаппаратов, в том числе новыми аппаратами с USB интерфейсом.
Обратите внимание, что с некоторыми старыми моделями необходимо
использовать старую программу gphoto.

%description -n lib%name -l ru_RU.UTF-8
Библиотека предоставляет все необходимые функции для обмена данными
с современными цифровыми фотокамерами посредством USB или последовательного порта.

%description -n lib%name-devel -l ru_RU.UTF-8
Пакет содержит все необходимые файлы для компиляции программ, использующих
библиотеку libgphoto2.

%if_enabled static
%description -n lib%name-devel-static  -l ru_RU.UTF-8
Пакет содержит статические версии библиотек для компиляции программ, использующих
библиотеку libgphoto2.
%endif

%prep
%setup -n gphoto-suite-%version
%patch1 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%build
#aclocal -I m4m
#autoheader
#automake
#autoconf
# uncomment for build with -DCANON_EXPERIMENTAL_20D
# export CPPFLAGS="%%optflags -DCANON_EXPERIMENTAL_20D"
%configure \
    --enable-shared \
    --disable-debugging \
    --with-drivers=all \
    --disable-baudboy \
    --with-lockdev \
    --with-usb \
    --with-serial
%make_build

%install
%make DESTDIR=%buildroot install

chmod a-x src/lib%name/packaging/linux-hotplug/usbcam.*
install -pD -m755 src/lib%name/packaging/linux-hotplug/usbcam.group %buildroot%_sysconfdir/hotplug/usb/usbcam
for f in src/lib%name/lib%{name}_port/{AUTHORS,NEWS,README}; do
  cp -pr $f ${f}.port
done
bzip2 -9 src/lib%name/ChangeLog src/%name/ChangeLog

# removed installed example scripts (they will be placed to the real
# doc. directory instead)
rm -rf %buildroot%_datadir/doc/lib%name
rm -rf %buildroot%_datadir/doc/lib%{name}_port

# create firsttime scripts
mkdir -p %buildroot%_sysconfdir/firsttime.d/
mkdir -p %buildroot%_sysconfdir/udev/rules.d/
cat <<E_O_F >> %buildroot%_sysconfdir/firsttime.d/lib%name-udev
#!/bin/sh
%_libdir/lib%name/print-camera-list --verbose udev-rules-0.98 mode 0660 group camera > %_sysconfdir/udev/rules.d/90-lib%name.rules
E_O_F
chmod a+x %buildroot%_sysconfdir/firsttime.d/lib%name-udev
touch %buildroot%_sysconfdir/udev/rules.d/90-lib%name.rules
#
cat <<E_O_F >> %buildroot%_sysconfdir/firsttime.d/lib%name-hotplug
#!/bin/sh
%_libdir/lib%name/print-camera-list --verbose usb-usermap usbcam > %_sysconfdir/hotplug/usb/usbcam.usermap
E_O_F
chmod a+x %buildroot%_sysconfdir/firsttime.d/lib%name-hotplug
touch %buildroot%_sysconfdir/hotplug/usb/usbcam.usermap

mkdir -p %buildroot/lib
mv %buildroot%_libdir/udev %buildroot/lib/

%find_lang --output=lib%name.lang lib%name-2
%find_lang --append --output=lib%name.lang lib%{name}_port-0
%find_lang --output=%name.lang %name

##### PRE/POST INSTALL SCRIPTS #####

%pre -n lib%name
# create group
/usr/sbin/groupadd -r camera || :

%post -n lib%name
# create udev rules
[ -n "$DURING_INSTALL" ] || %_sysconfdir/firsttime.d/lib%name-udev
# postinstall ldconfig
%post_ldconfig

%post -n lib%name-hotplug
# create /etc/hotplug/usb/usbcam.usermap
[ -n "$DURING_INSTALL" ] || %_sysconfdir/firsttime.d/lib%name-hotplug

%postun -n lib%name
# postuninstall ldconfig
%postun_ldconfig

##### FILE LISTS FOR ALL BINARY PACKAGES #####

%files -f %name.lang
%_bindir/%name
%_man1dir/%{name}*
%doc src/%name/{README,NEWS,AUTHORS,ChangeLog.bz2}

%files -n lib%name -f lib%name.lang
%_libdir/*.so.*
%dir %_libdir/lib%name
%_libdir/lib%name/print-camera-list
%dir %_libdir/lib%name/%version
%_libdir/lib%name/%version/*.so
%dir %_libdir/lib%{name}_port
%dir %_libdir/lib%{name}_port/%portver
%_libdir/lib%{name}_port/%portver/*.so
%_datadir/lib%name
%doc src/lib%name/{README,AUTHORS,NEWS,TESTERS}
%doc src/lib%name/lib%{name}_port/{AUTHORS,NEWS,README}.port
%_sysconfdir/firsttime.d/lib%name-udev
%ghost %_sysconfdir/udev/rules.d/90-lib%name.rules
/lib/udev/*

%files -n lib%name-hotplug
%_sysconfdir/firsttime.d/lib%name-hotplug
%ghost %_sysconfdir/hotplug/usb/usbcam.usermap
%config %_sysconfdir/hotplug/usb/usbcam
%doc src/lib%name/packaging/linux-hotplug/usbcam.*

%files -n lib%name-devel
%_bindir/*-config
%_includedir/%name
%_libdir/*.so
%_libdir/pkgconfig/*
%attr (0644,root,man) %_man3dir/lib%{name}*
%doc src/lib%name/{HACKING,ChangeLog.bz2}
%doc src/lib%name/doc/{DAEMON,*.{ap,l,s,t}*,api/*-*}

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/lib%name/%version/*.a
%_libdir/lib%{name}_port/%portver/*.a
%endif

%changelog
* Mon Nov 19 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 2.3.1-alt6.M40.1
- built for M40
- license tags changed to GPLv2+ and LGPLv2+
- add Fuji FinePix S5700 (patch backported from svn commit 10728)
- add Canon PowerShot A450 (patch from svn commit 10023)
- change alt-fix-rules.patch
- enabled check ptp camera for unknown cameras
- disable Canon fast directory retrieval (patch imported from svn commit 10028)
- bzip ChangeLog

* Sun Mar 11 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 2.3.1-alt4
- fix requires
- move creating udev rules back into lib%name package

* Mon Jan 29 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 2.3.1-alt3
- Requires: hotplug removed from libgphoto2 package (#10695)
- udev and hotplug communications moved into separate packages

* Fri Jan 19 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 2.3.1-alt2
- used builtin generator udev and hotplug rules

* Tue Jan 16 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 2.3.1-alt1
- new version
- renamed and little corrected udev rules
  (use udev >= 0.98)

* Sun Jan 14 2007 Alexey Morsov <swi@altlinux.ru> 2.3.0-alt2.1
- Add udev rules (fix bug #10661)
- change Packager

* Fri Dec 29 2006 Alexey Morsov <swi@altlinux.ru> 2.3.0-alt2
- NMU

* Fri Dec 08 2006 Alexey Morozov <morozov@altlinux.org> 2.3.0-alt1
- New version (2.3.0)
- static libraries made optional and skipped by default
- buildreqs cleanup
- switched to gphoto-suite for builds
- dropped obsoleted Nikon-4600-ptp-Support.c.patch (#0)

* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.1.6-alt2.1
- Rebuilt with libreadline.so.5.

* Thu Nov 24 2005 Anton Farygin <rider@altlinux.ru> 2.1.6-alt2
- NMU:
    - updated to new version
    - removed included to mainstream pathes
    - added Nikon 4600 autodetect
    - added firsttime.d script
    - fixed postscript for use DURING_INSTALL

* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1.1
- rebuild against libexif.so.12.
- removed hostinfo, libgphoto2-devel from BuildRequires.

* Sat Jan 01 2005 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.5-alt1
- 2.1.5
- partial Russian translation
- i18n fix

* Wed Jun 23 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.4-alt3
- no update-usb.usermap call in postinstall script

* Tue Jun 08 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.4-alt2
- usbcam.group replaced by usbcam.console. Group camera removed.

* Sat Feb 21 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Fri Dec 12 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.2-alt2
- .la removed

* Tue Sep 16 2003 Sergey V Turchin <zerg at altlinux dot org> 2.1.2-alt1
- new version
- some spec cleanup
- fix requires

* Sat Aug 23 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.1-alt0.7
- Serial fix

* Sun Jun 15 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.1-alt0.6
- libgphoto2 requirements fix (hotplug).

* Wed May 28 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.1-alt0.5
- non-root execution (all users in group 'camera' can now use gphoto2)

* Wed Apr 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt0.4
- russian descriptions (slava).

* Wed Apr 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt0.3
- more improvements.
- build with new libexif.

* Sun Mar 30 2003 ZerG <zerg@altlinux.ru> 2.1.1-alt0.2
- new version
- improve spec

* Wed Oct 23 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.1.0-alt1
- Rebuilt in new environment
- Rebuilt with liblockdev
- Some spec fixes
- 2.1.0

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt2
- Rebuild with new binutils

* Fri Mar 01 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt1
- Release %name 2.0

* Thu Dec 06 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt0.3cvs20011204
- Build from CVS
- Rebuild with new libusb

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt0.2beta1
- Added devel-static package
- Some spec cleanup
- Fixed filelists

* Fri Aug 23 2001 Rider <rider@altlinux.ru> 2.0-alt0.1beta1
- first BUILD for ALT
